org.appng.api.rest.model

## Enum FieldType

- java.lang.Object
- - java.lang.Enum<FieldType>
  - - org.appng.api.rest.model.FieldType

- All Implemented Interfaces:
    Serializable, Comparable<FieldType>

      public enum FieldType
      extends Enum<FieldType>

  The possible types for a field/action-field.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHECKBOX`
    `COORDINATE`
    `DATE`
    `DECIMAL`
    `FILE`
    `FILE_MULTIPLE`
    `IMAGE`
    `INT`
    `LINKPANEL`
    `LIST_CHECKBOX`
    `LIST_OBJECT`
    `LIST_RADIO`
    `LIST_SELECT`
    `LIST_TEXT`
    `LONG`
    `LONGTEXT`
    `OBJECT`
    `PASSWORD`
    `RICHTEXT`
    `TEXT`
    `URL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldType` | `fromValue(String value)`
    `String` | `getValue()`
    `String` | `toString()`
    `static FieldType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final FieldType TEXT

    - #### LONGTEXT

          public static final FieldType LONGTEXT

    - #### RICHTEXT

          public static final FieldType RICHTEXT

    - #### PASSWORD

          public static final FieldType PASSWORD

    - #### URL

          public static final FieldType URL

    - #### INT

          public static final FieldType INT

    - #### LONG

          public static final FieldType LONG

    - #### DECIMAL

          public static final FieldType DECIMAL

    - #### CHECKBOX

          public static final FieldType CHECKBOX

    - #### COORDINATE

          public static final FieldType COORDINATE

    - #### DATE

          public static final FieldType DATE

    - #### FILE

          public static final FieldType FILE

    - #### FILE_MULTIPLE

          public static final FieldType FILE_MULTIPLE

    - #### IMAGE

          public static final FieldType IMAGE

    - #### LINKPANEL

          public static final FieldType LINKPANEL

    - #### LIST_CHECKBOX

          public static final FieldType LIST_CHECKBOX

    - #### LIST_RADIO

          public static final FieldType LIST_RADIO

    - #### LIST_SELECT

          public static final FieldType LIST_SELECT

    - #### LIST_TEXT

          public static final FieldType LIST_TEXT

    - #### OBJECT

          public static final FieldType OBJECT

    - #### LIST_OBJECT

          public static final FieldType LIST_OBJECT

  - ### Method Detail

    - #### values

          public static FieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldType c : FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<FieldType>`

    - #### fromValue

          public static FieldType fromValue(String value)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.